Bug 182727 - machine becomes unresponsive after some kind of usb error
machine becomes unresponsive after some kind of usb error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 05:44 EST by Frederic De Leersnijder
Modified: 2012-08-02 11:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederic De Leersnijder 2006-02-24 05:44:25 EST
Description of problem: Machine becomes unresponsive after some kind of USB
error. No usb devices are connected to the machine.

How reproducible: No idea, the machine has been running for months and months
without problems.

From /var/log/messages

Feb 24 08:32:17 apps kernel: drivers/usb/input/hid-core.c: input irq status -84
received
Feb 24 08:32:17 apps last message repeated 55 times
Feb 24 08:32:17 apps kernel: usb 2-1: USB disconnect, address 2
Feb 24 08:32:17 apps kernel: drivers/usb/input/hid-core.c: input irq status -84
received
Feb 24 08:32:17 apps kernel: drivers/usb/input/hid-core.c: can't resubmit intr,
0000:00:1d.0-1/input1, status -19
Feb 24 08:32:17 apps hal.hotplug[9841]: DEVPATH is not set
Feb 24 08:32:18 apps hal.hotplug[9844]: DEVPATH is not set
Feb 24 08:32:18 apps kernel: hdf: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Feb 24 08:32:18 apps kernel: hdf: status error:
error=0x7fIllegalLengthIndication EndOfMedia Aborted Command
MediaChangeRequested LastFailedSense 0x07 
Feb 24 08:32:18 apps kernel: hdf: drive not ready for command
Feb 24 08:32:18 apps kernel: hdf: ATAPI reset complete
...
Feb 24 08:32:33 apps kernel: hdf: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Feb 24 08:32:33 apps kernel: hdf: status error:
error=0x7fIllegalLengthIndication EndOfMedia Aborted Command
MediaChangeRequested LastFailedSense 0x07 
Feb 24 08:32:33 apps kernel: hdf: drive not ready for command
Feb 24 08:32:33 apps kernel: hdf: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Feb 24 08:32:33 apps kernel: hdf: status error:
error=0x7fIllegalLengthIndication EndOfMedia Aborted Command
MediaChangeRequested LastFailedSense 0x07 
Feb 24 08:32:33 apps kernel: hdf: drive not ready for command
Feb 24 08:32:33 apps kernel: irq 193: nobody cared! (screaming interrupt?)
Feb 24 08:32:33 apps kernel: irq 193: Please try booting with acpi=off and
report a bug
Feb 24 08:32:33 apps kernel:  [<c01074c2>] __report_bad_irq+0x3a/0x77
Feb 24 08:32:33 apps kernel:  [<c0107739>] note_interrupt+0xea/0x115
Feb 24 08:32:33 apps kernel:  [<c01079e5>] do_IRQ+0x143/0x1ae
Feb 24 08:32:33 apps kernel:  [<c02d1974>] common_interrupt+0x18/0x20
Feb 24 08:32:33 apps kernel:  [<c01040e5>] mwait_idle+0x33/0x42
Feb 24 08:32:33 apps kernel:  [<c010409d>] cpu_idle+0x26/0x3b
Feb 24 08:32:33 apps kernel: handlers:
Feb 24 08:32:33 apps kernel: [<c023f401>] (ide_intr+0x0/0x11e)
Feb 24 08:32:33 apps kernel: [<c0257e20>] (usb_hcd_irq+0x0/0x4b)
Feb 24 08:32:33 apps kernel: Disabling IRQ #193
Feb 24 08:32:44 apps kernel: usb 2-1: new full speed USB device using address 3
Feb 24 08:32:44 apps kernel: usb 2-1: device not accepting address 3, error -71
Feb 24 08:32:44 apps kernel: usb 2-1: new full speed USB device using address 4
Feb 24 08:32:45 apps kernel: input: USB HID v1.10 Keyboard [Dell DRAC4] on
usb-0000:00:1d.0-1
Feb 24 08:32:45 apps hal.hotplug[9959]: DEVPATH is not set
Feb 24 08:32:45 apps kernel: input: USB HID v1.10 Mouse [Dell DRAC4] on
usb-0000:00:1d.0-1
Feb 24 08:32:45 apps hal.hotplug[10017]: DEVPATH is not set
Feb 24 08:33:32 apps kernel: hdf: irq timeout: status=0xc1 { Busy }
Feb 24 08:33:32 apps kernel: hdf: irq timeout: error=0xa0LastFailedSense 0x0a 
Feb 24 08:33:36 apps kernel: hdf: status timeout: status=0xc1 { Busy }
Feb 24 08:33:36 apps kernel: hdf: status timeout: error=0x84Aborted Command
LastFailedSense 0x08 
Feb 24 08:33:36 apps kernel: hdf: drive not ready for command
Feb 24 08:33:41 apps kernel: hdf: status timeout: status=0xc1 { Busy }
Feb 24 08:33:41 apps kernel: hdf: status timeout: error=0x84Aborted Command
LastFailedSense 0x08 
Feb 24 08:33:41 apps kernel: hdf: drive not ready for command
Feb 24 08:33:46 apps kernel: hdf: status timeout: status=0xc1 { Busy }
Feb 24 08:33:46 apps kernel: hdf: status timeout: error=0x84Aborted Command
LastFailedSense 0x08 
Feb 24 08:33:46 apps kernel: hdf: drive not ready for command

On the console I got errors that sda wasn't available anymore, ext-3 journal errors

Additional info:

A reboot was the only option to resolve the issue.
Comment 1 Anuj Verma (Kevin) 2006-07-25 07:53:58 EDT
I had recently helped in a simmilar issue, in this case I looked after this
problem caused a system crash, some valuable informations are as below:

The device which is causing seems to be: "DRAC4 Virtual Media devices"
(http://www.hosteurope.de/download/DRAC4.pdf?session=) 

If someone following this bug thinks I might be aproaching close, can you pelase
assure me if this seems to be the case. 

more:
From http://www.redhat.com/magazine/020jun06/departments/tips_tricks/ ..

"Why does Red Hat Enterprise Linux 4 crash when DRAC4 Management Card is reset
on my Dell server?"

logview: 
Jul 17 01:49:25 $HOSTNAME kernel: hdf: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index 
Error }
Jul 17 01:49:25 $HOSTNAME kernel: hdf: status error:
error=0x7fIllegalLengthIndication EndOfMedia Aborted Command MediaChangeRequested L
astFailedSense 0x07 
Jul 17 01:49:25 $HOSTNAME kernel: hdf: drive not ready for command
Jul 17 01:49:25 $HOSTNAME kernel: irq 193: nobody cared! (screaming interrupt?)
Jul 17 01:49:25 $HOSTNAME kernel: irq 193: Please try booting with acpi=off and
report a bug
Jul 17 01:49:25 $HOSTNAME kernel:  [<c01074de>] __report_bad_irq+0x3a/0x77
Jul 17 01:49:25 $HOSTNAME kernel:  [<c0107755>] note_interrupt+0xea/0x115
Jul 17 01:49:25 $HOSTNAME kernel:  [<c0107a01>] do_IRQ+0x143/0x1ae
Jul 17 01:49:25 $HOSTNAME kernel:  [<c02d1d3c>] common_interrupt+0x18/0x20
Jul 17 01:49:25 $HOSTNAME kernel:  [<c01040e5>] mwait_idle+0x33/0x42
Jul 17 01:49:25 $HOSTNAME kernel:  [<c010409d>] cpu_idle+0x26/0x3b
Jul 17 01:49:25 $HOSTNAME kernel: handlers:
Jul 17 01:49:25 $HOSTNAME kernel: [<c023f785>] (ide_intr+0x0/0x11e)
Jul 17 01:49:25 $HOSTNAME kernel: [<c02581b0>] (usb_hcd_irq+0x0/0x4b)
Jul 17 01:49:25 $HOSTNAME kernel: Disabling IRQ #193
Jul 17 01:49:37 $HOSTNAME kernel: usb 2-1: new full speed USB device using address 3
Jul 17 01:49:38 $HOSTNAME kernel: usb 2-1: device not accepting address 3, error -71
Jul 17 01:49:38 $HOSTNAME kernel: usb 2-1: new full speed USB device using address 4
Jul 17 01:49:38 $HOSTNAME kernel: input: USB HID v1.10 Keyboard [Dell DRAC4] on
usb-0000:00:1d.0-1
Jul 17 01:49:38 $HOSTNAME hal.hotplug[6579]: DEVPATH is not set
Jul 17 01:49:38 $HOSTNAME kernel: input: USB HID v1.10 Mouse [Dell DRAC4] on
usb-0000:00:1d.0-1
Jul 17 01:49:38 $HOSTNAME hal.hotplug[6637]: DEVPATH is not set
Jul 17 01:50:01 $HOSTNAME crond(pam_unix)[6726]: session opened for user root by
(uid=0)
Jul 17 01:50:01 $HOSTNAME crond(pam_unix)[6727]: session opened for user root by
(uid=0)
Jul 17 01:50:01 $HOSTNAME crond(pam_unix)[6726]: session closed for user root
Jul 17 01:50:01 $HOSTNAME crond(pam_unix)[6727]: session closed for user root
Jul 18 16:13:41 $HOSTNAME syslogd 1.4.1: restart.
Jul 18 16:13:41 $HOSTNAME syslog: syslogd startup succeeded
Jul 18 16:13:41 $HOSTNAME kernel: klogd 1.4.1, log source = /proc/kmsg started.
Jul 18 16:13:41 $HOSTNAME kernel: Linux version 2.6.9-22.0.2.ELsmp
(bhcompile@hs20-bc1-1.build.redhat.com) (gcc version 3.4.5 20051201 (
Red Hat 3.4.5-2)) #1 SMP Thu Jan 5 17:13:01 EST 2006
Jul 18 16:13:41 $HOSTNAME kernel: BIOS-provided physical RAM map:
Jul 18 16:13:41 $HOSTNAME kernel:  BIOS-e820: 0000000000000000 -
00000000000a0000..........
(turncated_by_author_of_this_post)
Comment 2 Frederic De Leersnijder 2006-08-08 16:33:39 EDT
The problem hasn't occurred anymore after disabling the advanced powermanagement
features.

acpi=off apm=off

I'll look into this drac problem as all of our servers have a drac card onboard.

Thanks for the reply
Comment 3 Jiri Pallich 2012-06-20 09:29:53 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.